## liquidsoap 1.3.3

=== Makefile ===
SUBDIRS= src examples doc gui scripts
DISTFILES = CHANGES COPYING INSTALL README \
	bootstrap configure.ac configure config.h.in \
	Makefile Makefile.defs.in Makefile.rules install-sh
DISTDIRS = m4

top_srcdir=.
include $(top_srcdir)/Makefile.rules

distclean: pre-distclean
	rm -f Makefile.defs
pre-distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml scripts/liquidsoap.initd \
	       scripts/liquidsoap.gentoo.initd scripts/liquidsoap.logrotate \
	       gui/liguidsoap $(DISTDIR) $(DISTDIR).tar.bz2

test:
	$(MAKE) -C src/test test
	$(MAKE) -C doc test
	$(MAKE) -C scripts/tests test

# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: system-install gentoo-install finish-configure

finish-configure:
ifneq ($(CUSTOM_PATH),yes)
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let libs_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)\" >> src/configure.ml
	@echo let plugins_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)/plugins\" >> src/configure.ml
	@echo let bin_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let rundir = get_dir \"run\" >> src/configure.ml
	@echo let logdir = get_dir \"logs\" >> src/configure.ml
	@echo let plugins_dir = get_dir \"plugins\" >> src/configure.ml
	@echo let libs_dir = get_dir \"libs\" >> src/configure.ml
	@echo let bin_dir = get_dir \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let display_types = ref false >> src/configure.ml
	@echo let exe_ext = \"$(EXEEXT)\" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = Printexc.record_backtrace true" >> src/configure.ml
	@echo "let path = \
          let s = try Sys.getenv \"PATH\" with Not_found -> \"\" in \
          bin_dir :: (Str.split (Str.regexp_string \":\") s)" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.

install-local: doc-install
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
	for l in externals.liq lastfm.liq utils.liq shoutcast.liq flows.liq video.liq \
		       http.liq http_codes.liq pervasives.liq deprecations.liq protocols.liq gstreamer.liq ; \
	do \
	  $(INSTALL_DATA) scripts/$$l $(libdir)/liquidsoap/$(libs_dir_version) ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq \
	  ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate \
	  ${sysconfdir}/logrotate.d/liquidsoap

gentoo-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.gentoo.initd ${sysconfdir}/init.d/liquidsoap

service-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.initd ${sysconfdir}/init.d/liquidsoap

=== doc/Makefile ===
.PHONY: doc upload all-subdirs

SUBDIRS = content liqi
DISTFILES = liquidsoap.1 Makefile protocols_to_liqi.pl reference_to_liqi.pl no-ref.txt \
	    template.html snippet.html
DISTDIRS = orig
PERL_DOM = $(shell perl -MXML::DOM -e1 > /dev/null 2>&1 && echo yes)

CONTENT=$(wildcard content/*.txt)
PRE_HTML=$(shell echo $(CONTENT:.txt=.html) | sed -e 's/content\//html\//g') \
     html/reference.html html/settings.html html/protocols.html
HTML=html/scripts/index.html
TEX=$(shell echo $(CONTENT:.txt=.tex) | sed -e 's/content\//tex\//g')
PDF=$(TEX:.tex=.pdf)

LIQI = cd html && ../liqi/liqi \
	     --template ../template.html --snippet-template ../snippet.html \
		 --subst rel:
LIQI_DEPS = liqi/liqi template.html snippet.html

# PDF is not ready for end-users yet.
doc: html

html: $(HTML)

pdf: liqref.pdf

liqref.pdf: tex/liqref.tex $(TEX)
	@echo Compiling liqref.pdf...
	@cd tex; pdflatex -interaction nonstopmode liqref.tex

html/scripts/index.html: html/scripts/index.txt $(LIQI_DEPS)
	@echo Generating $(@)...
	@#Has to be called from html to put scripts in the right place
	$(LIQI) --subst rel:../ -i ../$(<) -o ../$(@)

# I have to tell make that index.txt will be there
# once the HTML have been generated.
# Also ensures that the index is built last even with a concurrent make run.
html/scripts/index.txt: $(PRE_HTML)

html/%.html: content/%.txt $(LIQI_DEPS)
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -RfL orig/* html)
	@#Has to be called from html to put scripts in the right place
	@$(LIQI) -i ../$(<) -o ../$(@)

tex/%.tex: content/%.txt liqi/liqi
	@echo Converting $(<) to $(@)...
	@test -d tex || mkdir tex
	@./liqi/liqi --latex -i $(<) -o $(@)

tex/%.pdf: tex/%.tex
	@echo Converting $(<) to $(@)...
	@cd tex; pdflatex ../$(<)

liqi/liqi: all-subdirs
	@# If I don't put anything here, make tries to build liqi/liqi
	@# from liqi/liqi.o by using gcc

../src/liquidsoap:
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	exit 1

content/reference.txt: reference_to_liqi.pl ../src/liquidsoap ../scripts/utils.liq
ifeq ($(PERL_DOM),yes)
	CAML_LD_LIBRARY_PATH=../src:../src/plugins ../src/liquidsoap --dynamic-plugins-dir ../src/plugins \
	  --no-pervasives ../scripts/pervasives.liq --list-plugins-xml | \
	  ./reference_to_liqi.pl > $(@)
else
	@echo "-> You don't seem to have perl XML::DOM module installed."
	@echo "-> Language reference cannot be generated."
	@cp no-ref.txt content/reference.txt
endif

content/protocols.txt: protocols_to_liqi.pl ../src/liquidsoap ../scripts/utils.liq
ifeq ($(PERL_DOM),yes)
	CAML_LD_LIBRARY_PATH=../src:../src/plugins ../src/liquidsoap --dynamic-plugins-dir ../src/plugins \
	  --no-pervasives ../scripts/pervasives.liq --list-plugins-xml | \
	  ./protocols_to_liqi.pl > $(@)
else
	@echo "-> You don't seem to have perl XML::DOM module installed."
	@echo "-> protocols reference cannot be generated."
	@cp no-protocols.txt content/protocols.txt
endif

content/settings.txt: ../src/liquidsoap
	CAML_LD_LIBRARY_PATH=../src:../src/plugins ../src/liquidsoap --no-pervasives ../scripts/pervasives.liq \
	--dynamic-plugins-dir ../src/plugins --conf-descr-liqi > $(@)

VERSION="`../src/liquidsoap --version | head -n 1`"

test: html
	@echo "Testing code snippets with \033[1m$(VERSION)\033[0m"
	@echo ""
	@find html/scripts | grep '\.liq' | sort \
	  | ./scripts/test_snippets "`pwd`/../src/liquidsoap -p"
	@echo ""
	@echo "Testing shell scripts.."
	@echo "Please remember that it does not test liq syntax used inline.."
	@echo ""
	@find html/scripts | grep '\.sh' | sort | ./scripts/test_snippets "sh -n"
	@echo ""
	@echo "Testing perl scripts.."
	@echo ""
	@find html/scripts | grep '\.pl' | sort | ./scripts/test_snippets "perl -c"

spell-check: $(CONTENT:.txt=.txt.spell)

content/%.txt.spell: content/%.txt
	-aspell -d en_US-w_accents -c $(<)
	touch $(@)

doc-install:
	$(INSTALL)  -d $(datadir)/doc/$(DISTDIR)/html
	if [ -f html/index.html ] ; then \
	  cp -RfL html/* $(datadir)/doc/$(DISTDIR)/html ; \
        fi
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL_DATA) liquidsoap.1 $(mandir)/man1

clean-local:
	rm -rf html $(TEX) content/reference.txt content/protocols.txt content/settings.txt content/*.txt.spell

RCP=rsync -rLtCP --include="*.exe" --exclude="*.swp" --exclude="*.svn" \
	--delete --stats
RHOST=shell.sf.net:/home/groups/s/sa/savonet/htdocs/new/liq-svn
upload: update
	cd html ; $(RCP) . $(RHOST)
	ssh $(USER)@shell.sf.net "chgrp -R savonet \
	                            /home/groups/s/sa/savonet/htdocs \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type d -exec chmod 2775 '{}' ';' \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type f -exec chmod  664 '{}' ';' \
	                            > /dev/null 2>&1"

top_srcdir=..
include $(top_srcdir)/Makefile.rules

=== scripts/Makefile ===

SUBDIRS = tests
DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    $(wildcard *.liq) liquidsoap-mode.el extract-replaygain

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===
SUBDIRS=tools decoder playlists encoder protocols plugins stream lang \
	ogg_formats converters operators sources conversions outputs io \
	visualization analyze synth harbor lang_encoders encoder_formats

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

top_srcdir=..
include $(top_srcdir)/Makefile.defs

# Liquidsoap source files work as follows.
# Each file has to be either added to liquidsoap's files if compiled builtin
# or to the corresponding plugin if built as a plugin.
# For this purpose, we define the make function
# conditional_compilation, which redirects each of those files to
# the correct make variable. Its parameters are:
# $1: name of the make variable where the file should go if compiled builtin.
# $2: the $W_FOO variable
# $3: path to the file
# $4: type of source: empty for .ml sources and c_ for c sources.
#
# For now, the old style Makefile has been converted to
# this new style by replacing $(if $(W_FOO),..) by
# $(call conditional_compilation,..). However, this may
# cause some trouble as the order of declaration is important
# both for the builtin case and plugin case.. See for instance
# SDL files, whose declaration have been moved at the end.
conditional_compilation = \
  $(if $(2),\
    $(if $(2:yes=),\
      $(eval $(2)_$(4)sources += $(3)),\
      $(eval $(1) += $(3))))

liquidsoap_c_files = tools/unix_c.c

# Add conditional files..
$(call conditional_compilation,liquidsoap_c_files,$(W_OSS),io/oss_io_c.c,c_)

# This variable contains only conditional files..
ogg_demuxer =

$(call conditional_compilation,ogg_demuxer,$(W_SPEEX),ogg_formats/speex_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_VORBIS),ogg_formats/vorbis_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_OPUS),ogg_formats/opus_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_THEORA),ogg_formats/theora_decoder.ml)
$(call conditional_compilation,ogg_demuxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_decoder.ml)

# This variable contains only conditional files..
ogg_muxer =

$(call conditional_compilation,ogg_muxer,$(W_OGG),ogg_formats/ogg_muxer.ml)
$(call conditional_compilation,ogg_muxer,$(W_OGG), encoder/ogg_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_SPEEX),ogg_formats/speex_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_VORBIS),ogg_formats/vorbis_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_OPUS),ogg_formats/opus_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_THEORA),ogg_formats/theora_encoder.ml)
$(call conditional_compilation,ogg_muxer,$(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)

audio_converters = \
	converters/audio/native_audio_converter.ml

$(call conditional_compilation,audio_converters,$(W_SAMPLERATE),converters/audio/libsamplerate_converter.ml)

video_converters = \
	converters/video_converter.ml \
	converters/video/native_video_converter.ml

$(call conditional_compilation,video_converters,$(W_GAVL),converters/video/gavl_converter.ml)
$(call conditional_compilation,video_converters,$(W_FFMPEG),converters/video/ffmpeg_video_converter.ml)

decoders = \
	decoder/metadata_decoder.ml \
	decoder/wav_aiff_decoder.ml decoder/midi_decoder.ml \
	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
	decoder/external_decoder.ml decoder/raw_audio_decoder.ml

$(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
$(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
$(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
$(call conditional_compilation,decoders,$(W_MAD),decoder/mad_decoder.ml)
$(call conditional_compilation,decoders,$(W_VORBIS),decoder/vorbisduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC),decoder/flacduration.ml)
$(call conditional_compilation,decoders,$(W_FLAC_OGG),decoder/ogg_flac_duration.ml)
$(call conditional_compilation,decoders,$(W_TAGLIB),decoder/taglib_plug.ml)

playlists = \
	playlists/playlist_basic.ml

$(call conditional_compilation,playlists,$(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/annotate.ml \
	protocols/mpd.ml

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml \
	sources/audio_gen.ml sources/request_source.ml sources/latest_metadata.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/generated.ml sources/http_source.ml \
  $(if $(W_SSL),sources/https_source.ml) \
  $(if $(W_OSX_SECURE_TRANSPORT),sources/https_secure_transport_source.ml) \
	harbor/harbor_base.ml harbor/harbor.ml sources/harbor_input.ml \
  $(if $(W_SSL),harbor/harbor_ssl.ml sources/harbor_input_ssl.ml) \
  $(if $(W_OSX_SECURE_TRANSPORT),harbor/harbor_secure_transport.ml sources/harbor_input_secure_transport.ml) \
	sources/external_input.ml \
	tools/liqMM.ml

$(call conditional_compilation,sources,$(W_BJACK),sources/bjack_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_metadata.ml operators/store_metadata.ml \
	operators/on_track.ml operators/on_end.ml operators/delay.ml \
	operators/switch.ml operators/fade.ml operators/add.ml \
	operators/sequence.ml operators/cross.ml operators/smartcross.ml \
	operators/compress_exp.ml operators/pitch.ml operators/pipe.ml \
	operators/fir_filter.ml operators/iir_filter.ml operators/filter_rc.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml operators/filter.ml \
	operators/setvol.ml operators/normalize.ml operators/echo.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml operators/on_offset.ml \
	operators/mixing_table.ml operators/prepend.ml \
	operators/midi_routing.ml operators/sleeper.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/chord.ml operators/video_text.ml operators/window_op.ml

$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/soundtouch_op.ml)
$(call conditional_compilation,operators,$(W_SOUNDTOUCH),operators/st_bpm.ml)
$(call conditional_compilation,operators,$(W_LADSPA),operators/ladspa_op.ml)
$(call conditional_compilation,operators,$(W_FREI0R),operators/frei0r_op.ml)

conversions = \
	conversions/audio_to_stereo.ml conversions/drop.ml conversions/id.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

analyze = analyze/analyze_rms.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/avi_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/fdkaac_encoder.ml \
	encoder/external_encoder.ml \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),encoder/fdkaac_encoder_dynlink.ml)

$(call conditional_compilation,encoders,$(W_SHINE),encoder/shine_encoder.ml)
$(call conditional_compilation,encoders,$(W_LAME),encoder/lame_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_FLAC),encoder/flac_encoder.ml)
$(call conditional_compilation,encoders,$(W_FDKAAC),encoder/fdkaac_encoder_builtin.ml)
$(call conditional_compilation,encoders,$(W_TAGLIB),encoder/taglib_id3v2.ml)

lang_encoders = \
  lang/lang_encoders.ml \
  $(wildcard lang_encoders/*.ml)

encoder_formats = \
  encoder_formats.ml \
  encoder_formats/meta_format.ml \
  encoder_formats/avi_format.ml \
  encoder_formats/external_encoder_format.ml \
  encoder_formats/fdkaac_format.ml \
  encoder_formats/flac_format.ml \
  encoder_formats/gstreamer_format.ml \
  encoder_formats/mp3_format.ml \
  encoder_formats/opus_format.ml \
  encoder_formats/shine_format.ml \
  encoder_formats/speex_format.ml \
  encoder_formats/theora_format.ml \
  encoder_formats/vorbis_format.ml \
  encoder_formats/ogg_format.ml \
  encoder_formats/wav_format.ml

outputs = outputs/output.ml \
	outputs/pipe_output.ml \
	outputs/harbor_output.ml \
  $(if $(W_SSL),outputs/harbor_output_ssl.ml) \
  $(if $(W_OSX_SECURE_TRANSPORT),outputs/harbor_output_secure_transport.ml)


$(call conditional_compilation,outputs,$(W_AO),outputs/ao_out.ml)
$(call conditional_compilation,outputs,$(W_CRY),outputs/icecast2.ml)
$(call conditional_compilation,outputs,$(W_GRAPHICS),outputs/graphics_out.ml)
$(call conditional_compilation,outputs,$(W_BJACK),outputs/bjack_out.ml)

io = io/udp_io.ml

$(call conditional_compilation,io,$(W_OSS),io/oss_io.ml)
$(call conditional_compilation,io,$(W_PULSEAUDIO),io/pulseaudio_io.ml)
$(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)

tools = tools/stdlib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
	tools/rqueue.ml \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
	tools/wav_aiff.ml tools/tutils.ml tools/JSON.ml \
	tools/file_watcher.ml tools/file_watcher_mtime.ml \
  configure.ml tools/process_handler.ml \
  $(if $(W_DYNLINK),tools/dyntools.ml) \
	tools/http.ml \
  $(if $(W_SSL),tools/https.ml) \
  $(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
  tools/pool.ml tools/sha1.ml tools/websocket.ml

$(call conditional_compilation,tools,$(W_INOTIFY),tools/file_watcher_inotify.ml)

stream =stream/frame.ml stream/generator.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml

visualization = visualization/vumeter.ml \
	visualization/midimeter.ml \
	visualization/video_volume.ml

$(call conditional_compilation,visualization,$(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml

$(call conditional_compilation,synth,$(W_DSSI),synth/dssi_op.ml)

builtins = lang/lang_builtins.ml lang/builtins_json.ml \
           lang/builtins_harbor.ml lang/builtins_dtools.ml \
           lang/builtins_time.ml lang/builtins_callbacks.ml \
           $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
           $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml)

$(call conditional_compilation,builtins,$(W_LO),lang/builtins_lo.ml)
$(call conditional_compilation,builtins,$(W_MAGIC),lang/builtins_magic.ml)
$(call conditional_compilation,builtins,$(W_CRY),lang/builtins_cry.ml)

liquidsoap_sources= shutdown.ml \
	$(tools) SVN.ml converters/audio_converter.ml $(stream) \
	decoder/decoder.ml request.ml tools/server.ml \
        source.ml clock.ml tools/rutils.ml \
	playlist_parser.ml $(encoder_formats) encoder.ml \
	tools/server_builtins.ml

# Some for camlimages
$(call conditional_compilation,decoders,$(W_CAMLIMAGES),decoder/image/camlimages_decoder.ml)

# Include SDL now. Order matters so we group them all here..
$(call conditional_compilation,liquidsoap_sources,$(W_SDL),tools/sdl_utils.ml)
$(call conditional_compilation,synth,$(W_SDL),synth/keyboard_sdl.ml)
$(call conditional_compilation,decoders,$(W_SDL),decoder/image/sdlimage_decoder.ml)
$(call conditional_compilation,operators,$(W_SDL),operators/video_text_sdl.ml)
$(call conditional_compilation,outputs,$(W_SDL),outputs/sdl_out.ml)

# Same for lastfm..
$(call conditional_compilation,liquidsoap_sources,$(W_LASTFM),tools/liqfm.ml)
$(call conditional_compilation,builtins,$(W_LASTFM),lang/builtins_lastfm.ml)

# Same for alsa..
$(call conditional_compilation,liquidsoap_sources,$(W_ALSA), alsa_settings.ml)
$(call conditional_compilation,sources,$(W_ALSA),sources/alsa_in.ml)
$(call conditional_compilation,outputs,$(W_ALSA),outputs/alsa_out.ml)
$(call conditional_compilation,io,$(W_ALSA),io/alsa_io.ml)

# Same for GD..
$(call conditional_compilation,operators,$(W_GD),operators/video_text_gd.ml)

# GStreamer
$(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
$(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
$(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)
$(call conditional_compilation,operators,$(W_GSTREAMER),operators/video_text_gstreamer.ml)
$(call conditional_compilation,io,$(W_GSTREAMER),io/gstreamer_io.ml)

liquidsoap_sources += \

=== scripts/tests/Makefile ===
DISTFILES = Makefile $(wildcard *.liq) $(wildcard *.pl)

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules

test: threesines
	@for i in $(wildcard *.liq) ; do \
	  ./run_test.sh "$(top_srcdir)/src/liquidsoap --no-pervasives -q ../pervasives.liq -" $$i ; \
	done
	@./run_test.sh /usr/bin/perl ./type_errors.pl

# Generate samples files in threesines directory

threesines: threesines/a.wav threesines/b.wav threesines/c.wav
MKSINE= ../../src/liquidsoap  --no-pervasives -q ../utils.liq \
	  "clock.assign_new(sync=false,[ \
	  output.file(%wav,\"$$fname\",fallible=true,on_stop=shutdown, \
	  once(sine(duration=2.,$$freq)))])"
threesines/a.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=220. ; $(MKSINE)
threesines/b.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=330. ; $(MKSINE)
threesines/c.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=440. ; $(MKSINE)

=== debian/changelog ===
liquidsoap (1.3.3-2) unstable; urgency=medium

  * Fix build errors on armel and mips*
  * Bump Standards-Version (no change)
  * Include Breaks/Replaces for old plugin packages

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 04 Sep 2018 20:35:40 +0200

liquidsoap (1.3.3-1) unstable; urgency=medium

  * New upstream release (closes: #878896, #841871, LP: #378151)
  * Remove outdated note about MP3 encoding (closes: #721639)
  * Make copyright machine readable
  * Drop unmaintained liguidsoap binary package
  * Drop unsupported dynamic plugins for static ones
  * Bump compat to 10 (no change)
  * Bump standards version to 4.2.0 (fix user management)
  * Add user to audio group (closes: #827218)
  * Convert to use dh
  * Add new uploader

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 06 Aug 2018 15:29:41 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Romain Beauxis <toots@rastageeks.org>,
           Samuel Mimram <smimram@debian.org>
Build-Depends:
 debhelper (>= 10),
 ocaml-nox,
 dh-ocaml (>= 1.0.1),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.6.0),
 libogg-ocaml-dev (>= 0.5.0),
 libvorbis-ocaml-dev (>= 0.7.0),
 libmad-ocaml-dev (>= 0.4.4),
 libdtools-ocaml-dev (>= 0.3.4),
 libtaglib-ocaml-dev (>= 0.3.0),
 libcamomile-ocaml-dev,
 festival,
 fonts-liberation,
 libxml-dom-perl,
 dh-elpa,
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.6.0),
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libpcre-ocaml-dev,
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.7),
 libinotify-ocaml-dev (>=1.0) [linux-any],
 liblastfm-ocaml-dev (>= 0.3.0),
 libspeex-ocaml-dev (>= 0.2.1),
 libgavl-ocaml-dev (>= 0.1.4),
 libtheora-ocaml-dev (>= 0.3.1),
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.2),
 libladspa-ocaml-dev (>= 0.1.4),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libmagic-ocaml-dev,
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev (>= 0.3.3),
 libmm-ocaml-dev (>= 0.3.0),
 libflac-ocaml-dev (>= 0.1.2),
 libopus-ocaml-dev (>= 0.1.1),
 libfrei0r-ocaml-dev (>= 0.1.0),
 libshine-ocaml-dev (>=0.2.0),
 libvoaacenc-ocaml-dev,
 libmp3lame-ocaml-dev (>= 0.3.2),
 libdssi-ocaml-dev (>= 0.1.1),
 liblo-ocaml-dev (>= 0.1.0),
 libcamlimages-ocaml-dev (>= 4.0.1-6),
 libyojson-ocaml-dev,
 libgstreamer-ocaml-dev (>= 0.2.0),
 libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
 fonts-liberation
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 ocaml-base-nox,
 libcamomile-ocaml-data (>= 0.8),
 wget,
 sox,
 adduser
Recommends:
 logrotate,
 mp3gain,
 vorbisgain,
 vorbis-tools,
Suggests:
 icecast2,
 festival,
 mplayer,
Provides:
 ${ocaml:Provides}
Replaces:
 liquidsoap-plugin-all,
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Breaks:
 liquidsoap-plugin-all,
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Suggests: liquidsoap
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
DEFAULT_FONT := /usr/share/fonts/truetype/liberation/LiberationMono-Regular.ttf

DEB_CONFIGURE_EXTRA_FLAGS := --with-default-font=$(DEFAULT_FONT)

%:
	dh $@ --with elpa,ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --with-default-font=$(DEFAULT_FONT)

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf
	$(MAKE) all doc

override_dh_auto_test:
	/bin/true

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR) \
               prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
               INSTALL_DAEMON=no OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf autodoc aclocal.m4 src/META
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\///,\
  compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .download*/v?\d\S+/liquidsoap.(\d\S+).tar.bz2

## liquidsoap 1.3.4

=== src/Makefile ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
 	decoder/external_decoder.ml decoder/raw_audio_decoder.ml
 
+$(call conditional_compilation,decoders,$(W_FFMPEG),decoder/ffmpeg_decoder.ml)
 $(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
@@ -194,14 +195,15 @@
 $(call conditional_compilation,io,$(W_PULSEAUDIO),io/pulseaudio_io.ml)
 $(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)
 
-tools = tools/stdlib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
+tools = tools/extralib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
 	tools/rqueue.ml \
 	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
 	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
 	tools/wav_aiff.ml tools/tutils.ml tools/JSON.ml \
 	tools/file_watcher.ml tools/file_watcher_mtime.ml \
+  $(if $(W_DYNLINK),tools/dyntools.ml) \
   configure.ml tools/process_handler.ml \
-  $(if $(W_DYNLINK),tools/dyntools.ml) \
+	$(if $(W_FFMPEG),tools/ffmpeg_config.ml) \
 	tools/http.ml \
   $(if $(W_SSL),tools/https.ml) \
   $(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
@@ -225,6 +227,7 @@
 builtins = lang/lang_builtins.ml lang/builtins_json.ml \
            lang/builtins_harbor.ml lang/builtins_dtools.ml \
            lang/builtins_time.ml lang/builtins_callbacks.ml \
+					 lang/builtins_server.ml \
            $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
            $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml)
 
@@ -232,8 +235,8 @@
 $(call conditional_compilation,builtins,$(W_MAGIC),lang/builtins_magic.ml)
 $(call conditional_compilation,builtins,$(W_CRY),lang/builtins_cry.ml)
 
-liquidsoap_sources= shutdown.ml \
-	$(tools) SVN.ml converters/audio_converter.ml $(stream) \
+liquidsoap_sources= \
+	$(tools) REVISION.ml converters/audio_converter.ml $(stream) \
 	decoder/decoder.ml request.ml tools/server.ml \
         source.ml clock.ml tools/rutils.ml \
 	playlist_parser.ml $(encoder_formats) encoder.ml \
@@ -266,7 +269,3 @@
 $(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
 $(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
 $(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)
-$(call conditional_compilation,operators,$(W_GSTREAMER),operators/video_text_gstreamer.ml)
-$(call conditional_compilation,io,$(W_GSTREAMER),io/gstreamer_io.ml)
-
-liquidsoap_sources += \

=== debian/changelog ===
liquidsoap (1.3.4-1) unstable; urgency=medium

  * Remove /usr/share/liquidsoap on purge (Closes: #668751)
  * New upstream version 1.3.4
  * Bump camomile version
  * Bump Standards-Version (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Sun, 17 Feb 2019 17:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libmad-ocaml-dev (>= 0.4.4),
  libdtools-ocaml-dev (>= 0.3.4),
  libtaglib-ocaml-dev (>= 0.3.0),
- libcamomile-ocaml-dev,
+ libcamomile-ocaml-dev (>= 1.0.0),
  festival,
  fonts-liberation,
  libxml-dom-perl,
@@ -55,7 +55,7 @@
  libgstreamer-ocaml-dev (>= 0.2.0),
  libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
  fonts-liberation
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: http://savonet.sourceforge.net/
@@ -68,7 +68,7 @@
  ${ocaml:Depends},
  ${perl:Depends},
  ocaml-base-nox,
- libcamomile-ocaml-data (>= 0.8),
+ libcamomile-ocaml-data (>= 1.0.0),
  wget,
  sox,
  adduser

## liquidsoap 1.3.7

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,8 @@
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
 endif
+	@echo let restart = ref false >> src/configure.ml
+	@echo let \(\) = init_dyntools plugins_dir >> src/configure.ml
 	@echo let display_types = ref false >> src/configure.ml
 	@echo let exe_ext = \"$(EXEEXT)\" >> src/configure.ml
 	@echo "let vendor = \

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-SUBDIRS=tools decoder playlists encoder protocols plugins stream lang \
+SUBDIRS=tools \
+	$(if $(filter-out "Unix","$(OS_TYPE)"),win32) \
+	$(if $(filter-out "Win32","$(OS_TYPE)"),unix) \
+	decoder playlists encoder protocols plugins stream lang \
 	ogg_formats converters operators sources conversions outputs io \
 	visualization analyze synth harbor lang_encoders encoder_formats
 
@@ -196,6 +199,8 @@
 $(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)
 
 tools = tools/extralib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
+	$(if $(filter-out "Unix","$(OS_TYPE)"),win32/process_utils.mli win32/process_utils.ml) \
+	$(if $(filter-out "Win32","$(OS_TYPE)"),unix/process_utils.mli unix/process_utils.ml) \
 	tools/rqueue.ml \
 	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
 	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
@@ -227,7 +232,7 @@
 builtins = lang/lang_builtins.ml lang/builtins_json.ml \
            lang/builtins_harbor.ml lang/builtins_dtools.ml \
            lang/builtins_time.ml lang/builtins_callbacks.ml \
-					 lang/builtins_server.ml \
+					 lang/builtins_server.ml lang/builtins_math.ml \
            $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
            $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml)
 
@@ -266,6 +271,3 @@
 $(call conditional_compilation,operators,$(W_GD),operators/video_text_gd.ml)
 
 # GStreamer
-$(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
-$(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
-$(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)

=== debian/changelog ===
liquidsoap (1.3.7-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 23:11:46 +0200

liquidsoap (1.3.7-1) unstable; urgency=medium

  [ Kyle Robbertze ]
  * Drop unsatisfiable recommends on mp3gain
  * New upstream version 1.3.7
  * Install changelog
  * Update dependencies (Closes: #909448)
  * Move to debhelper-compat
  * Bump Standards-Version to 4.4.0 (No change)
  * Patch out syntax error
  * Declare recommends on emacs for elpa package
  * Refresh patches
  * Install example scripts

  [ Stephane Glondu ]
  * Remove Samuel and Romain from Uploaders

  [ Kyle Robbertze ]
  * Add override for ocaml-ssl
  * Install extract-replaygain correctly
  * Drop dh-exec useless build-dependency
  * Update copyright years
  * Drop DSSI support

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Aug 2019 22:42:52 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>= 11),
               debhelper-compat (=12),
               dh-elpa,
               dh-ocaml (>= 1.0.1),
               festival,
               fonts-liberation,
               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
               libao-ocaml-dev (>= 0.2.0),
               libbjack-ocaml-dev (>= 0.1.3),
               libcamlimages-ocaml-dev (>= 4.0.1-6),
               libcamomile-ocaml-dev (>= 1.0.0),
               libcry-ocaml-dev (>= 0.6.0),
               libdtools-ocaml-dev (>= 0.3.4),
               libduppy-ocaml-dev (>= 0.6.0),
               libfaad-ocaml-dev (>= 0.3.3),
               libffmpeg-ocaml-dev,
               libflac-ocaml-dev (>= 0.1.2),
               libfrei0r-ocaml-dev (>= 0.1.0),
               libgavl-ocaml-dev (>= 0.1.4),
               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
               libssl-ocaml-dev (>= 0.5.2),
               libgstreamer-ocaml-dev (>= 0.2.0),
               libinotify-ocaml-dev (>=1.0) [linux-any],
               libladspa-ocaml-dev (>= 0.1.4),
               liblastfm-ocaml-dev (>= 0.3.0),
               liblo-ocaml-dev (>= 0.1.0),
               libmad-ocaml-dev (>= 0.4.4),
               libmagic-ocaml-dev,
               libmm-ocaml-dev (>= 0.3.0),
               libmp3lame-ocaml-dev (>= 0.3.2),
               libogg-ocaml-dev (>= 0.5.0),
               libopus-ocaml-dev (>= 0.1.1),
               libpcre-ocaml-dev,
               libportaudio-ocaml-dev (>= 0.2.0),
               libpulse-ocaml-dev (>= 0.1.2),
               libsamplerate-ocaml-dev (>= 0.1.1),
               libsdl-ocaml-dev,
               libshine-ocaml-dev (>=0.2.0),
               libsoundtouch-ocaml-dev (>= 0.1.7),
               libspeex-ocaml-dev (>= 0.2.1),
               libtaglib-ocaml-dev (>= 0.3.0),
               libtheora-ocaml-dev (>= 0.3.1),
               libvoaacenc-ocaml-dev,
               libvorbis-ocaml-dev (>= 0.7.0),
               libxml-dom-perl,
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               libyojson-ocaml-dev,
               ocaml-findlib,
               ocaml-nox,
               sox
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends: adduser,
         curl,
         libcamomile-ocaml-data (>= 1.0.0),
         ocaml-base-nox,
         sox,
         ${misc:Depends},
         ${ocaml:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: logrotate, vorbis-tools, vorbisgain
Suggests: festival, icecast2, mplayer, youtube-dl
Provides: ${ocaml:Provides}
Replaces: liquidsoap-plugin-all,
          liquidsoap-plugin-alsa [linux-any],
          liquidsoap-plugin-ao,
          liquidsoap-plugin-camlimages,
          liquidsoap-plugin-dssi,
          liquidsoap-plugin-faad,
          liquidsoap-plugin-flac,
          liquidsoap-plugin-frei0r,
          liquidsoap-plugin-gavl,
          liquidsoap-plugin-gd,
          liquidsoap-plugin-graphics,
          liquidsoap-plugin-gstreamer,
          liquidsoap-plugin-icecast,
          liquidsoap-plugin-jack,
          liquidsoap-plugin-ladspa,
          liquidsoap-plugin-lame,
          liquidsoap-plugin-lastfm,
          liquidsoap-plugin-lo,
          liquidsoap-plugin-mad,
          liquidsoap-plugin-ogg,
          liquidsoap-plugin-opus,
          liquidsoap-plugin-oss,
          liquidsoap-plugin-portaudio,
          liquidsoap-plugin-pulseaudio,
          liquidsoap-plugin-samplerate,
          liquidsoap-plugin-schroedinger,
          liquidsoap-plugin-sdl,
          liquidsoap-plugin-shine,
          liquidsoap-plugin-soundtouch,
          liquidsoap-plugin-speex,
          liquidsoap-plugin-taglib,
          liquidsoap-plugin-theora,
          liquidsoap-plugin-voaacenc,
          liquidsoap-plugin-vorbis,
          liquidsoap-plugin-xmlplaylist
Breaks: liquidsoap-plugin-all,
        liquidsoap-plugin-alsa [linux-any],
        liquidsoap-plugin-ao,
        liquidsoap-plugin-camlimages,
        liquidsoap-plugin-dssi,
        liquidsoap-plugin-faad,
        liquidsoap-plugin-flac,
        liquidsoap-plugin-frei0r,
        liquidsoap-plugin-gavl,
        liquidsoap-plugin-gd,
        liquidsoap-plugin-graphics,
        liquidsoap-plugin-gstreamer,
        liquidsoap-plugin-icecast,
        liquidsoap-plugin-jack,
        liquidsoap-plugin-ladspa,
        liquidsoap-plugin-lame,
        liquidsoap-plugin-lastfm,
        liquidsoap-plugin-lo,
        liquidsoap-plugin-mad,
        liquidsoap-plugin-ogg,
        liquidsoap-plugin-opus,
        liquidsoap-plugin-oss,
        liquidsoap-plugin-portaudio,
        liquidsoap-plugin-pulseaudio,
        liquidsoap-plugin-samplerate,
        liquidsoap-plugin-schroedinger,
        liquidsoap-plugin-sdl,
        liquidsoap-plugin-shine,
        liquidsoap-plugin-soundtouch,
        liquidsoap-plugin-speex,
        liquidsoap-plugin-taglib,
        liquidsoap-plugin-theora,
        liquidsoap-plugin-voaacenc,
        liquidsoap-plugin-vorbis,
        liquidsoap-plugin-xmlplaylist
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Suggests: liquidsoap
Enhances: emacs, emacs24, emacs25
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.
